Qt 5.6 | Qt 3D | C++ Classes | QAbstractAspect

Qt 5.6.3 Reference Documentation

# QAbstractAspect Class

(Qt3DCore::QAbstractAspect)

QAbstractAspect is the base class for aspects that provide a vertical slice of behavior. More...

Header: | #include <QAbstractAspect>
qmake: | QT += 3dcore
Inherited By: | Qt3DInput::QInputAspect

- List of all members, including inherited members

## Public Functions

| QAbstractAspect(QObject *parent = Q_NULLPTR)

## Protected Functions

void | registerBackendType(const QBackendNodeFunctorPtr &functor)
void | registerBackendType(const QMetaObject &obj, const QBackendNodeFunctorPtr &functor)

## Related Non-Members

typedef | QAspectJobPtr
typedef | QBackendNodeFunctorPtr

## Detailed Description

QAbstractAspect is the base class for aspects that provide a vertical slice of behavior.

## Member Function Documentation

### QAbstractAspect::QAbstractAspect(QObject *parent = Q_NULLPTR)

Default constructs an instance of QAbstractAspect.

### `[protected]` void QAbstractAspect::registerBackendType(const QBackendNodeFunctorPtr &functor)

### `[protected]` void QAbstractAspect::registerBackendType(const QMetaObject &obj, const QBackendNodeFunctorPtr &functor)

Registers backend.

## Related Non-Members

### typedef Qt3DCore::QAspectJobPtr

A shared pointer for QAspectJob.

### typedef Qt3DCore::QBackendNodeFunctorPtr

A shared pointer for QBackendNodeFunctor.